Bitcoin Forum
March 24, 2017, 06:15:24 PM *
News: Latest stable version of Bitcoin Core: 0.14.0  [Torrent]. (New!)
 
   Home   Help Search Donate Login Register  
Pages: « 1 2 3 4 5 [6] 7 8 9 10 11 12 13 14 15 16 17 »  All
  Print  
Author Topic: [ANN] Eloipool - FAST Python3 pool server software - GBT/stratum/dyntarget/proxy  (Read 99347 times)
tomaszsz
Member
**
Offline Offline

Activity: 76


View Profile
March 10, 2013, 09:36:11 PM
 #101

some small exception

Quote
2013-03-10 22:33:10,264 JSONRPCHandler  ERROR   Error during JSON-RPC call (UA=b'cgminer 2.10.5', IP=::ffff:82.160.xxx.xxx): doJSON_submitblock['020000000xxxxxxxxxxxxxxxxxx', {}]
Traceback (most recent call last):
  File "/home/xxx/jsonrpcserver.py", line 200, in _doJSON_i
    rv = getattr(self, method)(*params)
  File "/home/xxx/jsonrpc_getblocktemplate.py", line 99, in doJSON_submitblock
    self.server.receiveShare(share)
  File "/home/xxx/eloipool18.py", line 646, in receiveShare
    checkShare(share)
  File "/home/xxx/eloipool18.py", line 476, in checkShare
    othertxndata = cbtxn.disassemble(retExtra=True)
  File "/home/xxx/bitcoin/txn.py", line 52, in disassemble
    self.version = unpack('<L', self.data[:4])[0]
AttributeError: 'Txn' object has no attribute 'data'

eloipool works perfect but sometimes above message appears in log file
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1490379324
Hero Member
*
Offline Offline

Posts: 1490379324

View Profile Personal Message (Offline)

Ignore
1490379324
Reply with quote  #2

1490379324
Report to moderator
Luke-Jr
Legendary
*
Offline Offline

Activity: 2128



View Profile
March 10, 2013, 10:20:47 PM
 #102

some small exception

Quote
2013-03-10 22:33:10,264 JSONRPCHandler  ERROR   Error during JSON-RPC call (UA=b'cgminer 2.10.5', IP=::ffff:82.160.xxx.xxx): doJSON_submitblock['020000000xxxxxxxxxxxxxxxxxx', {}]
Traceback (most recent call last):
  File "/home/xxx/jsonrpcserver.py", line 200, in _doJSON_i
    rv = getattr(self, method)(*params)
  File "/home/xxx/jsonrpc_getblocktemplate.py", line 99, in doJSON_submitblock
    self.server.receiveShare(share)
  File "/home/xxx/eloipool18.py", line 646, in receiveShare
    checkShare(share)
  File "/home/xxx/eloipool18.py", line 476, in checkShare
    othertxndata = cbtxn.disassemble(retExtra=True)
  File "/home/xxx/bitcoin/txn.py", line 52, in disassemble
    self.version = unpack('<L', self.data[:4])[0]
AttributeError: 'Txn' object has no attribute 'data'

eloipool works perfect but sometimes above message appears in log file
cgminer bug.

kano
Legendary
*
Offline Offline

Activity: 2030


Linux since 1997 RedHat 4


View Profile
March 10, 2013, 10:30:38 PM
 #103

some small exception

Quote
2013-03-10 22:33:10,264 JSONRPCHandler  ERROR   Error during JSON-RPC call (UA=b'cgminer 2.10.5', IP=::ffff:82.160.xxx.xxx): doJSON_submitblock['020000000xxxxxxxxxxxxxxxxxx', {}]
Traceback (most recent call last):
  File "/home/xxx/jsonrpcserver.py", line 200, in _doJSON_i
    rv = getattr(self, method)(*params)
  File "/home/xxx/jsonrpc_getblocktemplate.py", line 99, in doJSON_submitblock
    self.server.receiveShare(share)
  File "/home/xxx/eloipool18.py", line 646, in receiveShare
    checkShare(share)
  File "/home/xxx/eloipool18.py", line 476, in checkShare
    othertxndata = cbtxn.disassemble(retExtra=True)
  File "/home/xxx/bitcoin/txn.py", line 52, in disassemble
    self.version = unpack('<L', self.data[:4])[0]
AttributeError: 'Txn' object has no attribute 'data'

eloipool works perfect but sometimes above message appears in log file
Use the latest cgminer 2.11.2

Pool: https://kano.is Here on Bitcointalk: Forum BTC: 1KanoPb8cKYqNrswjaA8cRDk4FAS9eDMLU
FreeNode IRC: irc.freenode.net channel #kano.is
Help keep Bitcoin secure by mining on pools with full block verification on all blocks
Danilo
Newbie
*
Offline Offline

Activity: 25


View Profile
March 11, 2013, 02:10:24 PM
 #104

I have the following problem:

Eloipool works. When I work through the 8999 JSONRPC address everything is working properly
and is recorded into a MySQL database and file as well (share-logfile).

Only when I go through the stratum on port 3333 miner is working and counting shares
but nothing is recorded, not even in the database or the share-logfile.

Is there something special to be adjusted???

Thanks in advance!
tomaszsz
Member
**
Offline Offline

Activity: 76


View Profile
March 12, 2013, 11:59:08 AM
 #105

any upgrade of eloipool needed  ? because of stratum and custom bitcoind branch (0.8.0.eligius  )  and "bug"   ?   

Luke-Jr
Legendary
*
Offline Offline

Activity: 2128



View Profile
March 12, 2013, 12:14:30 PM
 #106

bitcoind 0.8.0.eligius shares the bug with normal 0.8.0.

Eloipool should work fine with 0.6/0.7.

DBordello
Sr. Member
****
Offline Offline

Activity: 350


BTCPak.com - Exchange your Bitcoins for MP!


View Profile WWW
March 20, 2013, 01:52:17 AM
 #107

If TrackerAddr is not defined, will the bitcoind provide a generation address?  Ideally I'd like to provide a new address for each block.

www.BTCPak.com - Exchange your bitcoins for MP: Secure, Anonymous and Easy!
Parazyd
Hero Member
*****
Offline Offline

Activity: 602


Space Lord


View Profile WWW
March 20, 2013, 04:59:37 AM
 #108

No, you have to set an address.
Wolf0
Legendary
*
Online Online

Activity: 1512


Miner Developer


View Profile
March 26, 2013, 02:49:25 AM
 #109

Eloipool is only for python 3.x but the config module it requires is only for python 2.x...

Code:
Donations: BTC: 1WoLFdwcfNEg64fTYsX1P25KUzzSjtEZC -- XMR: 45SLUTzk7UXYHmzJ7bFN6FPfzTusdUVAZjPRgmEDw7G3SeimWM2kCdnDQXwDBYGUWaBtZNgjYtEYA22aMQT4t8KfU3vHLHG
Luke-Jr
Legendary
*
Offline Offline

Activity: 2128



View Profile
March 26, 2013, 03:00:48 AM
 #110

Eloipool is only for python 3.x but the config module it requires is only for python 2.x...
I think you're confused.. the only config "module" is the config file you have to write yourself (possibly based on the included example).

Wolf0
Legendary
*
Online Online

Activity: 1512


Miner Developer


View Profile
March 26, 2013, 03:42:07 AM
 #111

Eloipool is only for python 3.x but the config module it requires is only for python 2.x...
I think you're confused.. the only config "module" is the config file you have to write yourself (possibly based on the included example).

import config
ImportError: No module named 'config'

Code:
Donations: BTC: 1WoLFdwcfNEg64fTYsX1P25KUzzSjtEZC -- XMR: 45SLUTzk7UXYHmzJ7bFN6FPfzTusdUVAZjPRgmEDw7G3SeimWM2kCdnDQXwDBYGUWaBtZNgjYtEYA22aMQT4t8KfU3vHLHG
Wolf0
Legendary
*
Online Online

Activity: 1512


Miner Developer


View Profile
March 26, 2013, 10:11:23 PM
 #112

Bump. Any help?

EDIT: Never mind, I'm an idiot >.<

Code:
Donations: BTC: 1WoLFdwcfNEg64fTYsX1P25KUzzSjtEZC -- XMR: 45SLUTzk7UXYHmzJ7bFN6FPfzTusdUVAZjPRgmEDw7G3SeimWM2kCdnDQXwDBYGUWaBtZNgjYtEYA22aMQT4t8KfU3vHLHG
tomaszsz
Member
**
Offline Offline

Activity: 76


View Profile
March 30, 2013, 07:13:40 PM
 #113

what can  trigger this error ?

Code:
2013-03-29 19:49:56,743 StratumHandler  DEBUG   Traceback (most recent call last):
  File "xxxxxxxxxxxxxxxxxxxxxxxxstratumserver.py", line 91, in found_terminator
    rv = getattr(self, funcname)(*rpc['params'])
TypeError: _stratum_mining_subscribe() takes exactly 1 positional argument (2 given)

2013-03-29 19:49:56,805 StratumHandler  DEBUG   Traceback (most recent call last):
  File "xxxxxxxxxxxxxxxxxxxxxstratumserver.py", line 91, in found_terminator
    rv = getattr(self, funcname)(*rpc['params'])

is this version bitcoind 0.8.1 eligious branch is ok from 

git clone  git://gitorious.org/~Luke-Jr/bitcoin/luke-jr-bitcoin.git ?

 

Luke-Jr
Legendary
*
Offline Offline

Activity: 2128



View Profile
March 30, 2013, 07:43:22 PM
 #114

what can  trigger this error ?

Code:
2013-03-29 19:49:56,743 StratumHandler  DEBUG   Traceback (most recent call last):
  File "xxxxxxxxxxxxxxxxxxxxxxxxstratumserver.py", line 91, in found_terminator
    rv = getattr(self, funcname)(*rpc['params'])
TypeError: _stratum_mining_subscribe() takes exactly 1 positional argument (2 given)

2013-03-29 19:49:56,805 StratumHandler  DEBUG   Traceback (most recent call last):
  File "xxxxxxxxxxxxxxxxxxxxxstratumserver.py", line 91, in found_terminator
    rv = getattr(self, funcname)(*rpc['params'])

is this version bitcoind 0.8.1 eligious branch is ok from 

git clone  git://gitorious.org/~Luke-Jr/bitcoin/luke-jr-bitcoin.git ?
Ignore it for now.

tomaszsz
Member
**
Offline Offline

Activity: 76


View Profile
March 31, 2013, 08:22:04 AM
 #115

everything works fine but in logs , this error appears :

Code:
2013-03-31 10:11:20,543 StratumHandler  DEBUG   Traceback (most recent call last):
  File "/xxxx/eloipool.py", line 646, in receiveShare
    checkShare(share)
  File "/xxxx/eloipool.py", line 490, in checkShare
    MWL = workLog[None]
KeyError: None

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/xxxx/stratumserver.py", line 91, in found_terminator
    rv = getattr(self, funcname)(*rpc['params'])
  File "/xxxx/stratumserver.py", line 184, in _stratum_mining_submit
    self.server.receiveShare(share)
  File "/xxxx/eloipool.py", line 655, in receiveShare
    logShare(share)
  File "/xxxx/eloipool.py", line 639, in logShare
    share['solution'] = b2a_hex(swap32(share['data'])).decode('utf8')
KeyError: 'data'

2013-03-31 10:11:20,543 StratumHandler  DEBUG   Traceback (most recent call last):
  File "/xxxx/eloipool.py", line 646, in receiveShare
    checkShare(share)
  File "/xxxx/eloipool.py", line 490, in checkShare
    MWL = workLog[None]
KeyError: None


and this


Code:
2013-03-31 05:16:04,681 redflag CRITICAL        issuing duplicate work
2013-03-31 05:16:04,682 JSONRPCHandler  ERROR   Error during JSON-RPC call (UA=None, IP=::ffff:83.......): doJSON_getwork[]
Traceback (most recent call last):
  File "/xxx/jsonrpcserver.py", line 200, in _doJSON_i
    rv = getattr(self, method)(*params)
  File "/xxx/jsonrpc_getwork.py", line 54, in doJSON_getwork
    raise self.server.RaiseRedFlags(RuntimeError('issuing duplicate work'))
RuntimeError: issuing duplicate work

2013-03-31 05:16:04,695 redflag CRITICAL        issuing duplicate work
2013-03-31 05:16:04,721 JSONRPCHandler  ERROR   Error during JSON-RPC call (UA=b'phoenix/v1.7.5', IP=::ffff:188........): doJSON_getwork[]
Traceback (most recent call last):
  File "/xxx/jsonrpcserver.py", line 200, in _doJSON_i
    rv = getattr(self, method)(*params)
  File "/xxx/jsonrpc_getwork.py", line 54, in doJSON_getwork
    raise self.server.RaiseRedFlags(RuntimeError('issuing duplicate work'))
RuntimeError: issuing duplicate work

2013-03-31 05:16:04,725 redflag CRITICAL        issuing duplicate work
2013-03-31 05:16:04,725 JSONRPCHandler  ERROR   Error during JSON-RPC call (UA=b'bfgminer 2.5.0', IP=::ffff:212.........): doJSON_getwork[]
Traceback (most recent call last):
  File "/xxx/jsonrpcserver.py", line 200, in _doJSON_i
    rv = getattr(self, method)(*params)
  File "/xxx/jsonrpc_getwork.py", line 54, in doJSON_getwork
    raise self.server.RaiseRedFlags(RuntimeError('issuing duplicate work'))
RuntimeError: issuing duplicate work


it is because of bugs in clinet software ?
bitcoindaddy
Hero Member
*****
Offline Offline

Activity: 481


View Profile
March 31, 2013, 02:38:57 PM
 #116

I'm getting a few errors, Luke, can you point me in the right direction?


2013-03-31 14:26:19,779 jsonrpc_getwork WARNING Error importing 'midstate' module; work will not provide midstates

>>> 2013-03-31 14:26:19,788     sharelogging    ERROR   Error setting up share logger sql: (<class 'ImportError'>, ImportError('No module named psycopg2',), <traceback object at 0x15beab8>)
2013-03-31 14:26:19,789 sharelogging    ERROR   Error setting up share logger sql: (<class 'ImportError'>, ImportError('No module named pymysql',), <traceback object at 0x15beab8>)
2013-03-31 14:26:19,865 merkleMaker     INFO    New block: 0000000000000255c9ca83e5caaff3c67ba0e90106b09f1c84a4cca10efa9ab0 (height: 228928; bits: 1a02816e)
2013-03-31 14:26:19,867 JSONRPCServer   INFO    Waiting 14.9 seconds to longpoll
2013-03-31 14:26:20,779 JSONRPCServer   INFO    Ignoring longpoll attempt while another is waiting
2013-03-31 14:26:34,813 JSONRPCServer   INFO    Nobody to longpoll
2013-03-31 14:31:10,740 newBlockNotification    INFO    Received new block notification
2013-03-31 14:31:37,100 StratumHandler  DEBUG   Traceback (most recent call last):
  File "/home/eloipool/Downloads/eloipool/stratumserver.py", line 91, in found_terminator
    rv = getattr(self, funcname)(*rpc['params'])
TypeError: _stratum_mining_subscribe() takes exactly 1 positional argument (2 given)

Exception in thread Thread-5:
Traceback (most recent call last):
  File "/home/eloipool/Downloads/eloipool/sharelogging/sql.py", line 61, in _thread
    self._doInsert(o)
  File "/home/eloipool/Downloads/eloipool/sharelogging/sql.py", line 50, in _doInsert
    dbc.execute(stmt, params)
sqlite3.OperationalError: no such table: shares

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.2/threading.py", line 740, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.2/threading.py", line 693, in run
    self._target(*self._args, **self._kwargs)
  File "/home/eloipool/Downloads/eloipool/sharelogging/sql.py", line 63, in _thread
    _logger.critical(traceback.format_exc())
NameError: global name 'traceback' is not defined
Luke-Jr
Legendary
*
Offline Offline

Activity: 2128



View Profile
March 31, 2013, 03:22:11 PM
 #117

2013-03-31 14:26:19,779 jsonrpc_getwork WARNING Error importing 'midstate' module; work will not provide midstates
This is only a problem for DiabloMiner, since it still needs the long-deprecated midstate key.

>>> 2013-03-31 14:26:19,788     sharelogging    ERROR   Error setting up share logger sql: (<class 'ImportError'>, ImportError('No module named psycopg2',), <traceback object at 0x15beab8>)
PostgreSQL share logging requires the psycopg2 module.

TypeError: _stratum_mining_subscribe() takes exactly 1 positional argument (2 given)
Eloipool master does not (yet) support stratum resuming. You can ignore this.

bitcoindaddy
Hero Member
*****
Offline Offline

Activity: 481


View Profile
March 31, 2013, 03:24:59 PM
 #118

2013-03-31 14:26:19,779 jsonrpc_getwork WARNING Error importing 'midstate' module; work will not provide midstates
This is only a problem for DiabloMiner, since it still needs the long-deprecated midstate key.

>>> 2013-03-31 14:26:19,788     sharelogging    ERROR   Error setting up share logger sql: (<class 'ImportError'>, ImportError('No module named psycopg2',), <traceback object at 0x15beab8>)
PostgreSQL share logging requires the psycopg2 module.

TypeError: _stratum_mining_subscribe() takes exactly 1 positional argument (2 given)
Eloipool master does not (yet) support stratum resuming. You can ignore this.

Thanks!
zero-asic
Member
**
Offline Offline

Activity: 79


View Profile
April 01, 2013, 06:34:24 PM
 #119

I have one quick question about config.py.

Does TrackerAddr have to be set to a wallet address in bitcoind or can I set it to any address to receive the rewards?

I'd hate to lose rewards.

Eloipool + bitcoind Ubuntu 12.04 install scripts: https://bitcointalk.org/index.php?topic=171782.0
Luke-Jr
Legendary
*
Offline Offline

Activity: 2128



View Profile
April 01, 2013, 07:15:01 PM
 #120

I have one quick question about config.py.

Does TrackerAddr have to be set to a wallet address in bitcoind or can I set it to any address to receive the rewards?

I'd hate to lose rewards.
Any version 0 address (ie, no P2SH yet).

Pages: « 1 2 3 4 5 [6] 7 8 9 10 11 12 13 14 15 16 17 »  All
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!